ALTER TABLE saved_tracks RENAME TO recorded_tracks;
ALTER TABLE recorded_tracks ADD COLUMN recording_id VARCHAR(64) NOT NULL REFERENCES recordings(id) ON DELETE CASCADE;

DROP TABLE bands_recordings;

ALTER TABLE musicians_recordings RENAME TO recordings_users;

ALTER TABLE recordings RENAME COLUMN creator_id TO owner_id;
ALTER TABLE recordings DROP COLUMN updater_id;
ALTER TABLE recordings ADD COLUMN music_session_id VARCHAR(64) REFERENCES music_sessions(id);
ALTER TABLE recordings ADD COLUMN band_id VARCHAR(64) REFERENCES bands(id);
ALTER TABLE recordings ALTER COLUMN description DROP NOT NULL;
ALTER TABLE recordings ADD COLUMN name VARCHAR(100);
ALTER TABLE recordings ADD COLUMN is_public BOOLEAN;
ALTER TABLE recordings ADD COLUMN is_downloadable BOOLEAN;

